Bug 122143 - LTC8069-Use of ctc for installation of rhel 3 U2 (64-bit) fails
LTC8069-Use of ctc for installation of rhel 3 U2 (64-bit) fails
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
s390 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Mike McLean
:
Depends On:
Blocks: 123574
  Show dependency treegraph
 
Reported: 2004-04-30 17:01 EDT by IBM Bug Proxy
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 11:16:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2004-04-30 17:01:33 EDT
The following has be reported by IBM LTC:  
Use of ctc for installation of RHEL-3 U2 (64-bit) fails
Hardware Environment:
Manufacturer:         IBM 
Type:                 2066
Model:                0LF 
VM00 Control Program: z/VM    4.4.0

Software Environment:
RedHat Enterprise Linux 3 update 2, example kernel:
2.4.21-12.EL #1 SMP Fri Mar 26 20:57:10 EST 2004 s390x unknown
                                                                     

Steps to Reproduce:
1.  Boot up ramdisk system from VM reader
2.  Specify CTC connection info to let the guest talk to TCPIP stack
(stack has 
proxy-arp enabled).
3.  Attemp network connection later (ie. ping or telnet)

Actual Results:
System does not respond.  And after giving bootstrap systema access to
ping 
(which is not available on the ramdisk), found that the VM TCPIP stack
side of 
the CTC was not responding.

Expected Results:
That we would have connection established all the way.  And we would
be able to 
telnet in and proceed with the installation.

Additional Information:
We found that the mtu set automatically by redhat (1500) did not match
the 
defaults used by the VM TCPIP stack side (32760).  However setting the
mtu to 
match manually did not re-establish connection.  Also if we bring up
an already 
installed RedHat (via qdio device) system and run the commands to set
up ctc, we 
are able to use the ctc to communicate just fine.Okay, we found out
that even our installed system, really couldn't talk to the 
VM TCPIP stack.  We had another interface up on the same lan segment
and that's 
where the communication was going through.  Once that was brought
down, our 
system was similarly incommunicado.
Comment 1 Bill Goodrich 2004-05-03 17:19:41 EDT
vechandr@in.ibm.com
Comment 5 Bob Johnson 2004-08-17 09:14:03 EDT
Bill at IBM, is this still an issue with the U3 beta ?
Comment 7 Tim Burke 2004-09-10 10:17:27 EDT
Glen, 

Can you please provide some more specifics on this problem.  Here's a
coment from Pete indicating questions he has:

"Maybe the protocol wasn't right. We use 0, but I saw people with 2
at customer sites. The advantage of zero is that it's automatically
set by both sides. I cannot
figure what's wrong based on the problem description.
Comment 8 Bill Goodrich 2004-10-19 13:39:49 EDT
I just did an install of rhel3 ga using mtu of 1492 and protocol 0 and
had no problems. This should be closed. 
Comment 9 IBM Bug Proxy 2005-03-02 17:06:37 EST
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |corryk@us.ibm.com




------- Additional Comments From corryk@us.ibm.com(prefers email via kevcorry@us.ibm.com)  2005-03-02 17:00 EST -------
Hi Veerendra,
Please check if this bug is fixed in the latest RHEL3 update. If so, go ahead
and close this bug. Thanks! 
Comment 10 IBM Bug Proxy 2005-03-04 01:01:30 EST
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|ACCEPTED                    |CLOSED
             Impact|------                      |Installability




------- Additional Comments From vechandr@in.ibm.com  2005-03-04 00:58 EST -------
Tested it on the kernel version 2.4.21-27.EL and it is working fine. 

Note You need to log in before you can comment on or make changes to this bug.